# List of product relations for a specific product

{% hint style="info" %}
In this example, we're using a specific product with SKU47.

For your query please use your own.
{% endhint %}

```graphql
query productRelation {
  product(sku: "001") {
    sku
    createdAt
    editedAt
    attributeList {
      pageInfo {
        hasNextPage
        endCursor
      }
      edges {
        node {
          attribute {
            code
          }
          translations {
            ... on ProductRelationAttributeValueTranslation {
              language
              value {
                sku
              }
            }
          }
        }
      }
    }
  }
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ergonode.com/graphql/query-examples/list-of-product-relations-for-a-specific-product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
